﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TChartMarks
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            double[] xValues = new double[11];
            for (int i = 0; i < 11; i++)
                xValues[i] = 36951 + i * 30;


            double[] yValues = new double[] { 800, 900, 700, 700, 700, 400, 50, 500, 700, 300, 100 };

            fastLine1.Add(xValues, yValues);
            tChart1.Axes.Left.SetMinMax(1, 1000);
            tChart1.Axes.Bottom.SetMinMax(new DateTime(2000,1, 1), new DateTime(2010, 1,1));
            fastLine1.XValues.DateTime = true;
            Steema.TeeChart.Functions.Smoothing smoothed = new Steema.TeeChart.Functions.Smoothing(tChart1.Chart);
            fastLine1.Marks.Visible = true;
            fastLine1.Marks.Angle = 90;
            fastLine1.Marks.TailStyle = Steema.TeeChart.Styles.MarksTail.None;
            fastLine1.Marks.AutoPosition = false;
            fastLine1.Marks.DrawEvery = 1;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            editor1.Chart = tChart1;
            editor1.ShowModal();
        }
    }
}
